if not exists (select * FROM _columnas where tabla = 'alq_historicoAlquiler' and columna = 'id')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('alq_historicoAlquiler'
           ,'id'
           ,1
           ,1
           ,1
           ,'int'
           ,NULL
           ,NULL)
end

if not exists (select * FROM _columnas where tabla = 'alq_historicoAlquiler' and columna = 'uid')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('alq_historicoAlquiler'
           ,'uid'
           ,1
           ,1
           ,1
           ,'varchar'
           ,NULL
           ,500)
end

if not exists (select * FROM _columnas where tabla = 'alq_historicoAlquiler' and columna = 'eid')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('alq_historicoAlquiler'
           ,'eid'
           ,1
           ,1
           ,1
           ,'varchar'
           ,NULL
           ,50)
end

if not exists (select * FROM _columnas where tabla = 'alq_historicoAlquiler' and columna = 'id_usuario_modifico')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('alq_historicoAlquiler'
           ,'id_usuario_modifico'
           ,1
           ,1
           ,1
           ,'int'
           ,'((0))'
           ,NULL)
end

if not exists (select * FROM _columnas where tabla = 'alq_historicoAlquiler' and columna = 'id_usuario_creo')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('alq_historicoAlquiler'
           ,'id_usuario_creo'
           ,1
           ,1
           ,1
           ,'int'
           ,'((0))'
           ,NULL)
end

if not exists (select * FROM _columnas where tabla = 'alq_historicoAlquiler' and columna = 'fechaModificacion')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('alq_historicoAlquiler'
           ,'fechaModificacion'
           ,0
           ,0
           ,1
           ,'smalldatetime'
           ,'(getdate())'
           ,NULL)
end

if not exists (select * FROM _columnas where tabla = 'alq_historicoAlquiler' and columna = 'fechaCreacion')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('alq_historicoAlquiler'
           ,'fechaCreacion'
           ,0
           ,0
           ,1
           ,'smalldatetime'
           ,'(getdate())'
           ,NULL)
end

if not exists (select * FROM _columnas where tabla = 'alq_historicoAlquiler' and columna = 'active')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('alq_historicoAlquiler'
           ,'active'
           ,1
           ,1
           ,1
           ,'bit'
           ,'((1))'
           ,NULL)
end

if not exists (select * FROM _columnas where tabla = 'alq_historicoAlquiler' and columna = 'historicoAlquiler')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('alq_historicoAlquiler'
           ,'historicoAlquiler'
           ,1
           ,1
           ,1
           ,'varchar'
           ,'('''')'
           ,200)
end

if not exists (select * FROM _columnas where tabla = 'alq_historicoAlquiler' and columna = 'historicoAlquiler_codigo')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('alq_historicoAlquiler'
           ,'historicoAlquiler_codigo'
           ,1
           ,1
           ,0
           ,'varchar'
           ,'('''')'
           ,200)
end

if not exists (select * FROM _columnas where tabla = 'alq_historicoAlquiler' and columna = 'fechaEstado')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('alq_historicoAlquiler'
           ,'fechaEstado'
           ,1
           ,1
           ,0
           ,'smalldatetime'
           ,'(getdate())'
           ,NULL)
end

if not exists (select * FROM _columnas where tabla = 'alq_historicoAlquiler' and columna = 'id_equipo')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('alq_historicoAlquiler'
           ,'id_equipo'
           ,1
           ,1
           ,1
           ,'int'
           ,'((0))'
           ,NULL)
end

if not exists (select * FROM _columnas where tabla = 'alq_historicoAlquiler' and columna = 'id_estadoEquipo')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('alq_historicoAlquiler'
           ,'id_estadoEquipo'
           ,1
           ,1
           ,1
           ,'int'
           ,'((0))'
           ,NULL)
end

if not exists (select * FROM _columnas where tabla = 'alq_historicoAlquiler' and columna = 'id_documento')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano])
     VALUES
           ('alq_historicoAlquiler'
           ,'id_documento'
           ,1
           ,1
           ,1
           ,'int'
           ,'((0))'
           ,NULL)
end